%define migtools_ver 24
Summary: LDAP servers, libraries, utilities, tools and sample clients.
Name: openldap
Version: 1.2.9
Release: 6
Copyright: Artistic
Group: System Environment/Daemons
Source0: ftp://ftp.OpenLDAP.org/pub/OpenLDAP/openldap-release/openldap-%{version}.tgz
Source1: ldap.init
Source2: ftp://ftp.padl.com/pub/MigrationTools-%{migtools_ver}.tar.gz
Source3: migration-tools.txt
Patch0: openldap-1.2.9-config.patch
Patch1: openldap-1.2.9-redhat.patch
URL: http://www.openldap.org/
BuildRoot: %{_tmppath}/%{name}-root

%description
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients.

Install openldap if you need LDAP applications and tools.

%package devel
Summary: OpenLDAP development libraries and header files.
Group: Development/Libraries
Requires: openldap

%description devel
The openldap-devel package includes the development libraries and
header files needed for compiling applications that use LDAP
(Lightweight Directory Access Protocol) internals.  LDAP is a set of
protocols for enabling directory services over the Internet. Install
this package only if you plan to develop or will need to compile
customized LDAP clients.

%prep
%setup -q -a 2
%patch0 -p1 -b .config
%patch1 -p1 -b .redhat

%build
CFLAGS="$RPM_OPT_FLAGS -D_REENTRANT" \
	./configure --prefix=%{_prefix} \
	--sysconfdir=/etc --enable-passwd --with-kerberos \
	--enable-shell --enable-shared --enable-wrappers \
	--localstatedir=/var/run --libexecdir=%{_prefix}/sbin

make depend
make DEBUG="$RPM_OPT_FLAGS -D_REENTRANT"

cd tests
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT/etc/openldap \
	localstatedir=$RPM_BUILD_ROOT/var/run \
	libexecdir=$RPM_BUILD_ROOT%{_prefix}/sbin

strip $RPM_BUILD_ROOT%{_prefix}/bin/* $RPM_BUILD_ROOT%{_prefix}/sbin/* || :

# hack the default config files
perl -pi -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT/etc/openldap/slapd.conf
# we don't need the default files
rm -f $RPM_BUILD_ROOT/etc/openldap/*.default

# install init script
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ldap

# deal with the migration tools
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/openldap/migration
install -m 755 MigrationTools-%{migtools_ver}/migrate_* \
	$RPM_BUILD_ROOT%{_prefix}/share/openldap/migration
install -m 644 MigrationTools-%{migtools_ver}/README %{SOURCE3} \
	$RPM_BUILD_ROOT%{_prefix}/share/openldap/migration
cp MigrationTools-%{migtools_ver}/README README.migration
cp %{SOURCE3} TOOLS.migration

mkdir -p $RPM_BUILD_ROOT/var/lib/ldap

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add ldap

%preun
if [ "$1" = "0" ] ; then
	/sbin/chkconfig --del ldap
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/ldap
%dir /etc/openldap
%config /etc/openldap/*
%attr(0755,-,-) %{_prefix}/bin/*
%attr(0755,-,-) %{_prefix}/lib/lib*.so.*
%{_prefix}/man/man1/*
%{_prefix}/man/man5/*
%{_prefix}/man/man8/*
%dir %{_prefix}/share/openldap
%{_prefix}/share/openldap/ldapfriendly
%{_prefix}/share/openldap/*.help
%dir %{_prefix}/share/openldap/migration
%{_prefix}/share/openldap/migration/README
%config %{_prefix}/share/openldap/migration/*.ph
%{_prefix}/share/openldap/migration/*.pl
%{_prefix}/share/openldap/migration/*.sh
%{_prefix}/share/openldap/migration/*.txt
%{_prefix}/sbin/*
%dir /var/lib/ldap
%doc ANNOUNCEMENT CHANGES COPYRIGHT LICENSE README doc/rfc/*.txt
%doc doc/devel/guidelines doc/devel/todo 
%doc README.migration TOOLS.migration

%files devel
%defattr(-,root,root)
%doc doc/devel/README
%{_prefix}/lib/lib*.so
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.la
%{_prefix}/include/*
%{_prefix}/man/man3/*

%changelog
* Wed Apr 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- move the defaults for databases and whatnot to /var/lib/ldap (bug #10714)
- fix some possible string-handling problems

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- start earlier, stop later.

* Thu Feb  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- auto rebuild in new environment (release 4)

* Tue Feb  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- add -D_REENTRANT to make threaded stuff more stable, even though it looks
  like the sources define it, too
- mark *.ph files in migration tools as config files

* Fri Jan 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.9

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip files

* Sat Sep 11 1999 Bill Nottingham <notting@redhat.com>
- update to 1.2.7
- fix some bugs from bugzilla (#4885, #4887, #4888, #4967)
- take include files out of base package

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- missing ;; in init script reload) (#4734).

* Tue Aug 24 1999 Cristian Gafton <gafton@redhat.com>
- move stuff from /usr/libexec to /usr/sbin
- relocate config dirs to /etc/openldap

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- add the migration tools to the package

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- upgrade to 1.2.6
- add rc.d script
- split -devel package

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to latest stable (1.1.4), it now uses configure macro.

* Fri Jan 15 1999 Bill Nottingham <notting@redhat.com>
- build on arm, glibc2.1

* Wed Oct 28 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
- patches for signal handling on the alpha
